{ lib, config, pkgs, ... }: {
  config = lib.mkIf (config.syscfg.make.gui) {

    services.greetd = {
      enable = true;
      settings = rec {
        initial_session = {
          command = "start-hyprland";
          user = "${config.syscfg.defaultUser}";
        };
        default_session = initial_session;
      };
    };
    environment.etc."greetd/environments".text = ''
      Hyprland
    '';
  };
}

